com.holonplatform.spring.security.internal

## Class AccountCredentialsAuthenticationManagerAuthenticator

- java.lang.Object
- - com.holonplatform.spring.security.internal.AbstractAuthenticationManagerAuthenticator<AccountCredentialsToken>
  - - com.holonplatform.spring.security.internal.AccountCredentialsAuthenticationManagerAuthenticator

- All Implemented Interfaces:
    Authenticator<AccountCredentialsToken>

      public class AccountCredentialsAuthenticationManagerAuthenticator
      extends AbstractAuthenticationManagerAuthenticator<AccountCredentialsToken>

  An `Authenticator` bound to the default `AccountCredentialsToken` which uses Spring Security `AuthenticationManager` to perform the authentication operations.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.auth.Authenticator

      `Authenticator.MessageAuthenticator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountCredentialsAuthenticationManagerAuthenticator(org.springframework.security.authentication.AuthenticationManager authenticationManager)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends AccountCredentialsToken>` | `getTokenType()` Get supported `AuthenticationToken` type
    `static byte[]` | `toBytes(Object o)` Convert the given Object into a byte array.

    - ### Methods inherited from class com.holonplatform.spring.security.internal.AbstractAuthenticationManagerAuthenticator

      `authenticate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.auth.Authenticator

      `create`

- - ### Constructor Detail

    - #### AccountCredentialsAuthenticationManagerAuthenticator

          public AccountCredentialsAuthenticationManagerAuthenticator(org.springframework.security.authentication.AuthenticationManager authenticationManager)

      Constructor.
      Parameters:
        `authenticationManager` - Spring Security `AuthenticationManager` (not null)

  - ### Method Detail

    - #### getTokenType

          public Class<? extends AccountCredentialsToken> getTokenType()

      Description copied from interface: `Authenticator`
      Get supported `AuthenticationToken` type
      Returns:
        Supported `AuthenticationToken` type

    - #### toBytes

          public static byte[] toBytes(Object o)

      Convert the given Object into a byte array.
      Parameters:
        `o` - the Object to convert into a byte array
      Returns:
        a byte array representation of the Object, or `null` if the object was `null`

Copyright © 2019 The Holon Platform. All rights reserved.